Security Lab

Межсайтовый скриптинг в phpBB

Дата публикации:25.10.2005
Всего просмотров:5677
Опасность:
Низкая
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Уязвимые версии: phpBB 2.0.17

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует при обработке входных данных в загружаемых аватарах. Удаленный пользователь может создать графический файл с расширением, не соответствующим типу изображения (например, GIF вместо JPG), внедрить в него произвольный HTML код и выполнить его в браузере жертвы в контексте безопасности уязвимого сайта.

Пример/Эксплоит: см. источник сообщения.

URL производителя: www.phpbb.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: phpBB 2.0.17 (and other BB systems as well) Cookie disclosure exploit